Add a column to a table
curl --request POST \
--url https://api.databar.ai/v1/table/{table_uuid}/columns \
--header 'Content-Type: application/json' \
--header 'x-apikey: <x-apikey>' \
--data '
{
"name": "<string>",
"type": "text",
"config": {}
}
'import requests
url = "https://api.databar.ai/v1/table/{table_uuid}/columns"
payload = {
"name": "<string>",
"type": "text",
"config": {}
}
headers = {
"x-apikey": "<x-apikey>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-apikey': '<x-apikey>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', type: 'text', config: {}})
};
fetch('https://api.databar.ai/v1/table/{table_uuid}/columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifier": "<string>",
"name": "<string>",
"type_of_value": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Columns
Add a column to a table
Create a new column on a table. Type defaults to ‘text’.
POST
/
v1
/
table
/
{table_uuid}
/
columns
Add a column to a table
Headers
API Key for authentication
Path Parameters
The UUID of the table
Body
application/json
⌘I